Package org.eclipse.mat.ui.internal.acquire

# Class AcquireSnapshotAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.mat.ui.internal.acquire.AcquireSnapshotAction

All Implemented Interfaces:
  `IAction`, `IActionDelegate`, `IWorkbenchWindowActionDelegate`

public class AcquireSnapshotAction extends Action implements IWorkbenchWindowActionDelegate

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AcquireSnapshotAction.AcquireWizard`
`static class`
`AcquireSnapshotAction.Handler`

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`AcquireSnapshotAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`init(IWorkbenchWindow window)`
`void`
`run()`
`void`
`run(IAction action)`
`void`
`selectionChanged(IAction action, ISelection selection)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AcquireSnapshotAction

public AcquireSnapshotAction()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchWindowActionDelegate`

### init

public void init(IWorkbenchWindow window)

Specified by:
  `init` in interface `IWorkbenchWindowActionDelegate`

### run

public void run(IAction action)

Specified by:
  `run` in interface `IActionDelegate`

### selectionChanged

public void selectionChanged(IAction action, ISelection selection)

Specified by:
  `selectionChanged` in interface `IActionDelegate`